diff -Naur msbasic2ascii-0.2/Makefile msbasic2ascii-0.2.patched/Makefile
--- msbasic2ascii-0.2/Makefile	2020-12-21 16:15:34.000000000 -0500
+++ msbasic2ascii-0.2.patched/Makefile	2023-04-28 01:00:17.275684858 -0400
@@ -47,7 +47,7 @@
 MOD4	= trsm4.o 
 COCO	= coco.o 
 DRAG	= dragon.o    
-SOR	= sorcerer.o 
+SORC	= sorcerer.o 
 OSI	= osi.o 
 NSC	= nascom.o
 XTL	= xtal.o 
diff -Naur msbasic2ascii-0.2/gwbasic.h msbasic2ascii-0.2.patched/gwbasic.h
--- msbasic2ascii-0.2/gwbasic.h	2020-12-21 16:15:34.000000000 -0500
+++ msbasic2ascii-0.2.patched/gwbasic.h	2023-04-28 00:54:13.835719062 -0400
@@ -26,6 +26,15 @@
 #include <errno.h>
 #include <stdarg.h>
 
+#include <stdlib.h>
+#include <unistd.h>
+#include <string.h>
+
+extern void gwb_dprintf(char *format, ...);
+extern int gx_process();
+extern int ge_new(char *buf);
+extern char *gets(char *s);
+
 /* On the NeXT the basic curses is lame! */
 #if defined(NeXT)
 #include <ncurses.h>
diff -Naur msbasic2ascii-0.2/nascom.h msbasic2ascii-0.2.patched/nascom.h
--- msbasic2ascii-0.2/nascom.h	2020-12-21 16:15:34.000000000 -0500
+++ msbasic2ascii-0.2.patched/nascom.h	2023-04-28 01:01:22.307678738 -0400
@@ -8,17 +8,17 @@
 
 
 gwb_optable gwb_ops[] = {
-0x80,"END"
-0x81,"FOR"
-0x82,"NEXT"
-0x83,"DATA"
-0x84,"INPUT"
-0x85,"DIM"
-0x86,"READ"
-0x87,"LET"
-0x88,"GOTO"
-0x89,"RUN"
-0x8a,"IF"
+0x80,"END",
+0x81,"FOR",
+0x82,"NEXT",
+0x83,"DATA",
+0x84,"INPUT",
+0x85,"DIM",
+0x86,"READ",
+0x87,"LET",
+0x88,"GOTO",
+0x89,"RUN",
+0x8a,"IF",
 0x8b,"RESTORE",
 0x8c,"GOSUB",
 0x8d,"RETURN",
